import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMSprachenfolge extends JavaObject {
    sprache: String | null;
    fachID: number;
    fachKuerzel: String | null;
    reihenfolge: number;
    belegungVonJahrgang: number;
    belegungVonAbschnitt: number;
    belegungBisJahrgang: Number | null;
    belegungBisAbschnitt: Number | null;
    referenzniveau: String | null;
    belegungSekI: Number | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMSprachenfolge;
    static transpilerToJSON(obj: ENMSprachenfolge): string;
    static transpilerToJSONPatch(obj: Partial<ENMSprachenfolge>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMSprachenfolge(obj: unknown): ENMSprachenfolge;
